package com.hxhq.business.service;

import java.util.List;

import com.hxhq.business.domain.Zcg;
import com.baomidou.mybatisplus.extension.service.IService;
import com.hxhq.business.form.zcg.ZcgYsffForm;
import com.hxhq.business.form.zcg.ZcgYsghForm;
import com.hxhq.business.form.zcg.ZcgSearchForm;

/**
 * 暂存柜Service接口
 *
 * @author hxhq
 * @date 2025-12-18
 */
public interface IZcgService extends IService<Zcg>
{
    /**
     * 查询暂存柜列表
     *
     * @param form 暂存柜
     * @return 暂存柜集合
     */
    public List<Zcg> queryList(ZcgSearchForm form);

    /**
     * 查询暂存柜
     *
     * @param id
     * @return 暂存柜
     */
    public Zcg queryInfo(Long id);


    /**
     * 钥匙归还
     *
     * @param form
     */
    public  void ysgh(ZcgYsghForm form);


    /**
     * 批量钥匙归还
     *
     * @param form
     */
    public  void ysghBatch(ZcgYsghForm form);

    /**
     * 钥匙发放
     *
     * @param form
     */
    public void ysff(ZcgYsffForm form);

}
